]> git.parisson.com Git - telecaster-server.git/commitdiff
rn
authorGuillaume Pellerin <guillaume.pellerin@parisson.com>
Sun, 6 Oct 2024 14:11:42 +0000 (16:11 +0200)
committerGuillaume Pellerin <guillaume.pellerin@parisson.com>
Sun, 2 Mar 2025 18:04:04 +0000 (19:04 +0100)
env/.fluxbox/init [deleted file]
env/.fluxbox/startup [deleted file]
env/.vnc/xstartup [deleted file]
home/.fluxbox/init [new file with mode: 0644]
home/.fluxbox/startup [new file with mode: 0644]
home/.vnc/xstartup [new file with mode: 0755]

diff --git a/env/.fluxbox/init b/env/.fluxbox/init
deleted file mode 100644 (file)
index a47c424..0000000
+++ /dev/null
@@ -1,3 +0,0 @@
-session.menuFile:      ~/.fluxbox/menu
-session.keyFile:       ~/.fluxbox/keys
-session.configVersion: 13
diff --git a/env/.fluxbox/startup b/env/.fluxbox/startup
deleted file mode 100644 (file)
index 8b0ad31..0000000
+++ /dev/null
@@ -1,33 +0,0 @@
-#!/bin/sh
-#
-# fluxbox startup-script:
-#
-# Lines starting with a '#' are ignored.
-
-# Change your keymap:
-xmodmap "/home/telecaster/.Xmodmap"
-
-# Applications you want to run with fluxbox.
-# MAKE SURE THAT APPS THAT KEEP RUNNING HAVE AN ''&'' AT THE END.
-#
-# unclutter -idle 2 &
-# wmnd &
-# wmsmixer -w &
-# idesk &
-#
-# Debian-local change:
-#   - fbautostart has been added with a quick hack to check to see if it
-#     exists. If it does, we'll start it up by default.
-which fbautostart > /dev/null
-if [ $? -eq 0 ]; then
-    fbautostart
-fi
-
-/srv/telecaster/telecaster-server/bin/streaming/telecaster.sh &
-
-# And last but not least we start fluxbox.
-# Because it is the last app you have to run it with ''exec'' before it.
-
-exec fluxbox
-# or if you want to keep a log:
-# exec fluxbox -log "$$FLUXBOX_DIR/log"
diff --git a/env/.vnc/xstartup b/env/.vnc/xstartup
deleted file mode 100755 (executable)
index 73d19e4..0000000
+++ /dev/null
@@ -1,18 +0,0 @@
-#!/bin/sh
-
-#xrdb "$HOME/.Xresources"
-#xsetroot -solid grey
-
-#x-terminal-emulator -geometry 80x24+10+10 -ls -title "$VNCDESKTOP Desktop" &
-#x-window-manager &
-# Fix to make GNOME work
-
-#export XKL_XMODMAP_DISABLE=1
-#export XDG_RUNTIME_DIR=/run/user/$(id -u)
-#export DBUS_SESSION_BUS_ADDRESS="unix:path=${XDG_RUNTIME_DIR}/bus"
-
-#/etc/X11/Xsession                                                                                                                                                                                            
-#startplasma-x11
-#startplasma-wayland
-startfluxbox
-
diff --git a/home/.fluxbox/init b/home/.fluxbox/init
new file mode 100644 (file)
index 0000000..a47c424
--- /dev/null
@@ -0,0 +1,3 @@
+session.menuFile:      ~/.fluxbox/menu
+session.keyFile:       ~/.fluxbox/keys
+session.configVersion: 13
diff --git a/home/.fluxbox/startup b/home/.fluxbox/startup
new file mode 100644 (file)
index 0000000..8b0ad31
--- /dev/null
@@ -0,0 +1,33 @@
+#!/bin/sh
+#
+# fluxbox startup-script:
+#
+# Lines starting with a '#' are ignored.
+
+# Change your keymap:
+xmodmap "/home/telecaster/.Xmodmap"
+
+# Applications you want to run with fluxbox.
+# MAKE SURE THAT APPS THAT KEEP RUNNING HAVE AN ''&'' AT THE END.
+#
+# unclutter -idle 2 &
+# wmnd &
+# wmsmixer -w &
+# idesk &
+#
+# Debian-local change:
+#   - fbautostart has been added with a quick hack to check to see if it
+#     exists. If it does, we'll start it up by default.
+which fbautostart > /dev/null
+if [ $? -eq 0 ]; then
+    fbautostart
+fi
+
+/srv/telecaster/telecaster-server/bin/streaming/telecaster.sh &
+
+# And last but not least we start fluxbox.
+# Because it is the last app you have to run it with ''exec'' before it.
+
+exec fluxbox
+# or if you want to keep a log:
+# exec fluxbox -log "$$FLUXBOX_DIR/log"
diff --git a/home/.vnc/xstartup b/home/.vnc/xstartup
new file mode 100755 (executable)
index 0000000..73d19e4
--- /dev/null
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+#xrdb "$HOME/.Xresources"
+#xsetroot -solid grey
+
+#x-terminal-emulator -geometry 80x24+10+10 -ls -title "$VNCDESKTOP Desktop" &
+#x-window-manager &
+# Fix to make GNOME work
+
+#export XKL_XMODMAP_DISABLE=1
+#export XDG_RUNTIME_DIR=/run/user/$(id -u)
+#export DBUS_SESSION_BUS_ADDRESS="unix:path=${XDG_RUNTIME_DIR}/bus"
+
+#/etc/X11/Xsession                                                                                                                                                                                            
+#startplasma-x11
+#startplasma-wayland
+startfluxbox
+